List consumers

GET /api/v1/customers

Returns a paged list of the resource provider’s consumers, optionally filtered by resource provider.

Query parameters

energy_id integer

Resource provider identifier. Optional — narrows the selection.

page integer

Page number.

Response fields

AttributeDescription
idIdentifier (unique key) of the consumer in the system
nameConsumer name
subdivision_type_nameConsumer type
innTax identification number
contact_numberContact number
dataArray of returned data
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/customers?energy_id=1&page=1"

Response

آخر تحديث في

هل كانت هذه الصفحة مفيدة؟